## org.hibernate.envers
Annotation Type Audited

    @Retention(value=RUNTIME)
    @Target(value={TYPE,METHOD,FIELD})
    public @interface Audited

When applied to a class, indicates that all of its properties should be audited. When applied to a field, indicates that this field should be audited.

Author:
  Adam Warski (adam at warski dot org), Tomasz Bech, Lukasz Antoniak (lukasz dot antoniak at gmail dot com)

Optional Element Summary
`Class[]` `auditParents`
`ModificationStore` `modStore`
`RelationTargetAuditMode` `targetAuditMode`

### modStore

    public abstract ModificationStore modStore

  Default:
    org.hibernate.envers.ModificationStore.FULL

### targetAuditMode

    public abstract RelationTargetAuditMode targetAuditMode

  Returns:
    Specifies if the entity that is the target of the relation should be audited or not. If not, then when reading a historic version an audited entity, the realtion will always point to the "current" entity. This is useful for dictionary-like entities, which don't change and don't need to be audited.
  Default:
    org.hibernate.envers.RelationTargetAuditMode.AUDITED

### auditParents

    public abstract Class[] auditParents

  Returns:
    Specifies the superclasses for which properties should be audited, even if the superclasses are not annotated with `Audited`. Causes all properties of the listed classes to be audited, just as if the classes had `Audited` annotation applied on the class level. The scope of this functionality is limited to the class hierarchy of the annotated entity. If a parent type lists any of its parent types using this attribute, all properties in the specified classes will also be audited.
  Default:
    {}

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.